commit:     27eaa6f2f1a014f66fb9435c00631399b8b42e9d
Author:     Amadeusz Żołnowski <aidecoe <AT> gentoo <DOT> org>
AuthorDate: Mon May 29 11:37:01 2017 +0000
Commit:     Amadeusz Piotr Żołnowski <aidecoe <AT> gentoo <DOT> org>
CommitDate: Mon May 29 11:49:13 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=27eaa6f2

mail-client/alot: Bump version

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 mail-client/alot/Manifest                          |  1 +
 mail-client/alot/alot-0.5.1.ebuild                 | 87 ++++++++++++++++++++++
 .../0.5.1-0001-Don-t-install-test-suite.patch      | 28 +++++++
 3 files changed, 116 insertions(+)

diff --git a/mail-client/alot/Manifest b/mail-client/alot/Manifest
index ea64befd1d0..f9151ecfa95 100644
--- a/mail-client/alot/Manifest
+++ b/mail-client/alot/Manifest
@@ -1,2 +1,3 @@
 DIST alot-0.3.6.tar.gz 1492278 SHA256 
b8e6092f18e503a528e934231c448db0e03d00e11d844192ba7eeb483838fee7 SHA512 
30037ca1d2c169dda6c1660a24dadee12c6b5858d733ec7cd78e49d633850eecb763852c16565340596e32a6831ff8c36764d3f812de7f7947584defe05322b4
 WHIRLPOOL 
cd4aab9dd84a441b92f5d4c62c783d58d8c4fafca614bf8bf462c1b3f0ffb4266e083380712b16f9469a0b418af1672625a21a6ae1f82f6623c6c22e005be6e9
 DIST alot-0.3.7.tar.gz 1475759 SHA256 
fe281f6b5fbfcd371a1810c8f59084e8cbc3f69068269e3f787adb1df6f977b5 SHA512 
a0b7e5a7b77f8cdee38c273eec2822bee2e7c409ab4b8803817a49d679dd53ff29750ba7f8a9214368cc7b0b17bd76a40b0263b4701b2ef695c7669316b1b116
 WHIRLPOOL 
3c37a037fc5543ff569f6a5364302462f71f5599c14d17661707cd4beb0e2a8597098dd4f4a42aec27793ace7095bba4eb80c35ed5fd8e470f6b7b9dbbecc46e
+DIST alot-0.5.1.tar.gz 1490645 SHA256 
e8404db01bfe41030f7df9f559ac6c61edc473bfc1ae86bcb58c4018703352c7 SHA512 
0194f163724fc5485aa89fe5354d16bdfdd3f539f6f3cfdb715e61835f3e632b8ac0daed44983a95c20eb0244c44c1d7801d262a5fd16ad63c3efd046e05b787
 WHIRLPOOL 
2539956ab4f286c0db27837f5897f3dd8868c07422aca2845df76da8d0c2aa3b5915ec8de0b35d78f8f296406adb6d31c4d47b00c2c74a7453630e936d4aee98

diff --git a/mail-client/alot/alot-0.5.1.ebuild 
b/mail-client/alot/alot-0.5.1.ebuild
new file mode 100644
index 00000000000..868e96638b9
--- /dev/null
+++ b/mail-client/alot/alot-0.5.1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 vcs-snapshot
+
+DESCRIPTION="Experimental terminal UI for net-mail/notmuch written in Python"
+HOMEPAGE="https://github.com/pazz/alot";
+SRC_URI="${HOMEPAGE}/tarball/${PV} -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+DEPEND="
+       doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+       test? ( dev-python/mock[${PYTHON_USEDEP}] )
+       "
+RDEPEND="
+       >=dev-python/configobj-4.7.0[${PYTHON_USEDEP}]
+       >=dev-python/pygpgme-0.2[${PYTHON_USEDEP}]
+       dev-python/python-magic[${PYTHON_USEDEP}]
+       >=dev-python/twisted-core-10.2.0[${PYTHON_USEDEP}]
+       >=dev-python/urwid-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/urwidtrees-1.0[${PYTHON_USEDEP}]
+       net-mail/mailbase
+       >=net-mail/notmuch-0.13[crypt,python]
+       "
+PATCHES=( "${FILESDIR}"/0.5.1-0001-Don-t-install-test-suite.patch )
+
+ALOT_UPDATE=""
+
+pkg_setup() {
+       if has_version "<${CATEGORY}/${PN}-0.3.2"; then
+               ALOT_UPDATE="yes"
+       fi
+}
+
+src_prepare() {
+       find "${S}" -name '*.py' -print0 | xargs -0 -- sed \
+               -e '1i# -*- coding: utf-8 -*-' -i || die
+
+       distutils-r1_src_prepare
+
+       local md
+       for md in *.md; do
+               mv "${md}" "${md%.md}"
+       done
+}
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd docs || die
+               emake html
+               popd || die
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       dodir /usr/share/alot
+       insinto /usr/share/alot
+       doins -r extra
+
+       if use doc; then
+               dohtml -r docs/build/html/*
+       fi
+}
+
+pkg_postinst() {
+       if [[ ${ALOT_UPDATE} = yes ]]; then
+               ewarn "The syntax of theme-files and custom tags-sections of 
the config"
+               ewarn "has been changed.  You have to revise your config.  
There are"
+               ewarn "converter scripts in /usr/share/alot/extra to help you 
out with"
+               ewarn "this:"
+               ewarn ""
+               ewarn "  * tagsections_convert.py for your 
~/.config/alot/config"
+               ewarn "  * theme_convert.py to update your custom theme files"
+       fi
+}

diff --git a/mail-client/alot/files/0.5.1-0001-Don-t-install-test-suite.patch 
b/mail-client/alot/files/0.5.1-0001-Don-t-install-test-suite.patch
new file mode 100644
index 00000000000..cbe0bedb4be
--- /dev/null
+++ b/mail-client/alot/files/0.5.1-0001-Don-t-install-test-suite.patch
@@ -0,0 +1,28 @@
+From 8af6cea015eeea61a3421b4f98ee4ba12f6c9b17 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Amadeusz=20=C5=BBo=C5=82nowski?= <[email protected]>
+Date: Mon, 29 May 2017 12:10:15 +0100
+Subject: [PATCH] Don't install test suite
+
+See
+<http://setuptools.readthedocs.io/en/latest/setuptools.html?highlight=find_packages#using-find-packages>
+for example patterns.
+---
+ setup.py | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/setup.py b/setup.py
+index a3f6f90..b4533f7 100755
+--- a/setup.py
++++ b/setup.py
+@@ -11,7 +11,7 @@ setup(name='alot',
+       author_email=alot.__author_email__,
+       url=alot.__url__,
+       license=alot.__copyright__,
+-      packages=find_packages(),
++      packages=find_packages(exclude=["tests.*", "tests"]),
+       package_data={'alot': [
+                              'defaults/alot.rc.spec',
+                              'defaults/notmuch.rc.spec',
+-- 
+2.12.2
+

Reply via email to